class AvatarGroup extends egret.Sprite {

  public constructor(userDatas, showName = false) {
    super()
    this.init(userDatas, showName)
  }

  private init(userDatas, showName) {
      userDatas.forEach((userData, index) => {
          let avatar = new Avatar(userData, showName)
          avatar.x = index * 100
          this.addChild(avatar)
      })
  }
}